Package: matchbox-window-manager
Version: matchbox-window-manager-1.2-3
User: [EMAIL PROTECTED]
Usertags: origin-ubuntu ubuntu-patch jaunty
Hi,
Please consider the attached diff for inclusion into matchbox-window-manager.
The patch ensures that matchbox-window-manager satisfies the
x-window-manager meta package and installs a new x-window-manager
alternative.
See
https://bugs.edge.launchpad.net/ubuntu/+source/matchbox-window-manager/+bug/145517
for original Ubuntu Bug.
Thanks!
--
Stefan Lesicnik
diff -u matchbox-window-manager-1.2/debian/control matchbox-window-manager-1.2/debian/control
--- matchbox-window-manager-1.2/debian/control
+++ matchbox-window-manager-1.2/debian/control
@@ -11,6 +11,7 @@
Architecture: any
Depends: ${shlibs:Depends}
Replaces: matchbox (<< 1:0.8.2)
+Provides: x-window-manager
Description: window manager for resource-limited systems
Matchbox is a base environment for the X Window System running on non-desktop
embedded platforms such as handhelds, set-top boxes, kiosks and anything else
only in patch2:
unchanged:
--- matchbox-window-manager-1.2.orig/debian/prerm
+++ matchbox-window-manager-1.2/debian/prerm
@@ -0,0 +1,10 @@
+set -e
+
+if [ "$1" != "upgrade" ]
+then
+ update-alternatives --remove x-window-manager /usr/bin/matchbox-window-manager
+fi
+
+#DEBHELPER#
+
+exit 0
only in patch2:
unchanged:
--- matchbox-window-manager-1.2.orig/debian/postinst
+++ matchbox-window-manager-1.2/debian/postinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+action="$1"
+
+if [ "$action" = configure ]; then
+ # register the alternatives of x-window-manager manually
+ # because dh_installwm doesn't register manpage as slave yet.
+ update-alternatives --install /usr/bin/x-window-manager \
+ x-window-manager /usr/bin/matchbox-window-manager 50 \
+ --slave /usr/share/man/man1/x-window-manager.1.gz \
+ x-window-manager.1.gz /usr/share/man/man1/matchbox-window-manager.1.gz
+fi
+
+#DEBHELPER#